$(function(){
$current_main_ques='';
$current_sub_ques='';
title2='';
exam_id='';
ques_name='';
link='';
page_type='';

function change_ques_type(){

if($("#ques_type2_menu").val()=="1"){
$("#correct_answer").show();
$("#multi_choice_div").hide();
$("#complete_div").hide();
$("#true_div").hide();
}else if($("#ques_type2_menu").val()=="2"){
$("#correct_answer").hide();
$("#multi_choice_div").hide();
$("#complete_div").hide();
$("#true_div").show();	
}else if($("#ques_type2_menu").val()=="3"){
$("#correct_answer").hide();
$("#multi_choice_div").show();
$("#complete_div").hide();
$("#true_div").hide();	
}else if($("#ques_type2_menu").val()=="4"){
$("#correct_answer").hide();
$("#multi_choice_div").hide();
$("#complete_div").show();
$("#true_div").hide();	
}else{
$("#correct_answer").hide();
$("#multi_choice_div").hide();
$("#complete_div").hide();
$("#true_div").hide();	
}			

}

// اظهار واخفاء العناصر حسب السؤال
$("#ques_type1_menu").live("change",function(data){

if($("#ques_type1_menu").val()=="2"){
$("#ques_type2_div").show();
$("#correct_answer").hide();
$("#dgree_div").css("width","31.3%");
$("#upload_images").hide();	
$("#uploaded_images").hide();
}else if($("#ques_type1_menu").val()=="3"){
$("#ques_type2_div").hide();
$("#correct_answer").show();
$("#dgree_div").css("width","12.3%");	
$("#upload_images").show();
$("#uploaded_images").show();	

}else{
$("#ques_type2_div").hide();
$("#correct_answer").hide();
$("#dgree_div").css("width","64.7%");
$("#upload_images").hide();
$("#uploaded_images").hide();
}	

	
	
});


////////////اظهار واخفاء الاجابات حسب القائمة////////

$("#ques_type2_menu").live("change",function(){
//alert("ss");

change_ques_type();

	
});



// النقر على الليست الرئيسى

$("#main_ques_list").live("change",function(data){
//alert($("#main_ques_list option:selected").attr("lang"));	

if($("#main_ques_list option:selected").attr("lang")==1 || $("#main_ques_list option:selected").attr("lang")==3){
$("#sub_menu_buttons").hide();	
	
}else{
$("#sub_menu_buttons").show();		
}
$(".over_loading").show();
$current_main_ques=$("#main_ques_list option:selected").attr("id");	
$("#sub_ques_list").load("ajax_show_sub_ques.php",({"table":$("#add_main_ques").attr("table"),"sub_ques":$current_main_ques}),function(data){
//alert(data);
$(".over_loading").hide();
});
//alert($current_main_ques);

});


// النقر على الفرعى الرئيسى

$(".sub_ques").live("click",function(){
$current_sub_ques=$(this).attr("id");
	
});



$(".main_ques").live("click",function(){
$("#add_sub_ques_bank").attr("type",$(this).attr("ques_type").substr(1, 1));
$("#add_multi_sub_ques_bank").attr("type",$(this).attr("ques_type").substr(1, 1));

$("#add_sub_ques").attr("type",$(this).attr("ques_type").substr(1, 1));


});





////////////////الازرار الرئيسية الجانية //////////////


//النقر على زر اضافة سؤال رئيسى
$("#add_main_ques").click(function(){
	//alert("S");
$("#big-div-cont").show();	
$(".over_loading").show();
$("#load_cont").html("");
$("#load_cont").load("add_main_ques.php",function(){

});
});	


//النقر على زر تعديل سؤال رئيسى

$("#edit_main_ques").live("click",function(){
if($current_main_ques=='' ){alert("اختار القائمة المراد تعديلها  ");exit();}	


$("#big-div-cont").show();	
$(".over_loading").show();
$("#load_cont").html("");
$("#load_cont").load("edit_main_ques.php?id="+$current_main_ques+"&table="+$(this).attr('table'),function(){

});


});


//النقر على زر الغاء قائمة رئيسية

$("#delete_main_ques").live("click",function(){
	alert($current_main_ques);
	
if($current_main_ques==''){alert("اختر السؤال الرئيسى المراد الغاءه  ");exit();}

selection_num=$("select[name='main_ques_list[]'] option:selected").length;
//alert("selection="+selection_num);


$(".over_loading").show();


if(selection_num==1){
$id=$current_main_ques;
	$.post("ajax_delete_ques.php",({"table":$(this).attr("table"),"id":$current_main_ques,"type":"main"}),
		function(data){
			//alert($id);
			$(".main_ques[id='"+$id+"']").remove();
			//alert(data);
			
			alert("تم الالغاء")	;
			$(".over_loading").hide();
			$current_main_ques='';

		});




}else{
	
	
delete_ids='';
$("select[name='main_ques_list[]'] option:selected").each(function(){
delete_ids+=','+$(this).attr("id");	
});
alert(delete_ids);
	
	
	
	
	$.post("ajax_delete_multi_ques.php",({"table":$(this).attr("table"),"ids":delete_ids,"type":"main"}),
		function(data){
			
			if(data=='done'){
				//alert(data);
				//alert(delete_ids);
				ids_split = delete_ids.split(",");

				//alert(ids_split.length);
				for($x=1;$x<ids_split.length;$x++){
					//alert($x);
					//alert(ids_split[$x]);
				$(".main_ques[id='"+ids_split[$x]+"']").remove();	
				}
				
			}
			
			
			alert("تم الالغاء")	;
			$(".over_loading").hide();
			$current_sub_ques='';

		});
		
	
	
}



$current_main_ques='';
$current_sub_ques='';




});



////////////////الازرار الرئيسية الفرعية //////////////



//النقر على زر اضافة سؤال فرعى

$("#add_sub_ques").live("click",function(){
	
$("#big-div-cont").show();	

$("#load_cont").html("");	
$("#load_cont").load("add_sub_ques.php",function(){
$(".over_loading").show();
});	
	
	
});


// بنك اسئلة واحد
$("#add_sub_ques_bank").live("click",function(){
	
$("#big-div-cont").show();	

$("#load_cont").html("");	
$("#load_cont").load("add_sub_ques_bank.php",{"table":$(this).attr("table"),"ques_type":$(this).attr("type")},function(){
$(".over_loading").show();
});	
	
	
});


//بنك اسئلة متعدد
$("#add_multi_sub_ques_bank").live("click",function(){
	
$("#big-div-cont").show();	

$("#load_cont").html("");	
$("#load_cont").load("add_multi_sub_ques_bank.php",{"table":$(this).attr("table"),"ques_type":$(this).attr("type")},function(){
$(".over_loading").show();
});	
	
	
});




$(".ques_check").live("click",function(){
	

	if($(this).attr("val")==0){
	
			$(this).parent().find(".ques_check_dgree").removeAttr("disabled");
			$(this).attr("val","1");
			
		}	else{
			
			$(this).parent().find(".ques_check_dgree").attr({"disabled":"disabled"});
			$(this).parent().find(".ques_check_dgree").val("");		
			$(this).attr("val","0");
		}
	
});


//النقر على زر تعديل سؤال فرعى

$("#edit_sub_ques").live("click",function(){
	
if($current_sub_ques=='' ){alert("اختار القائمة المراد تعديلها  ");exit();}	


$("#big-div-cont").show();	
$(".over_loading").show();
$("#load_cont").html("");
$("#load_cont").load("edit_sub_ques.php?id="+$current_sub_ques+"&table="+$(this).attr('table'),function(){


});
	
	
});




$("#bank_ques_add_items").live("click",function(){
	



$("#big-div-cont").show();	
$(".over_loading").show();
$("#bank_transfare").html("");
$("#bank_transfare").load("add_bank_sub_ques.php",
{
"table":$(this).attr("table"),
"title":$(this).attr("ques"),
"images":$(this).attr("images"),
"answer":$(this).attr("answer"),
"ques_type":$(this).attr("ques_type"),
"ques_id":$(this).attr("ques_id"),
"info":$(this).attr("info"),
	
	
	
	
},
function(){


$(".over_loading").hide();
$("#bank_questions").hide();
$("#bank_transfare").show();
});
	
	
});





$("#bank_multi_ques_add_items").live("click",function(){


$(".over_loading").show();

send_query='&&&&';
ques_append='';	
ques_index=-1;
$(".ques_check:checked").each(function(){
ques_index++;

dgree=$(this).parent().find(".ques_check_dgree").val();
dgree_check=$.isNumeric(dgree);
alert(dgree_check);
if(dgree_check!=false){
	
table=$(this).attr("table");
title=$(this).attr("ques");
sub=$current_main_ques;
code=$("option[id="+$current_main_ques+"]").attr("code");
type=$(this).attr("ques_type");
exam_id=$("#add_main_ques").attr("lang");
answer=$(this).attr("answer");
bank="1";
images=$(this).attr("images");
info=$(this).attr("info");





title_split = title.split("####", 1);
send_query+=table+",,,"+title+",,,"+sub+",,,"+code+",,,"+type+",,,"+exam_id+",,,"+answer+",,,"+dgree+",,,"+bank+",,,"+images+",,,"+info+"&&&&";	
	
	
	
}else{
	alert("ادخل درجة السؤال");
	return false;
	$(".over_loading").hide();
	
}


$(".over_loading").hide();
		
});
alert(send_query);
alert(ques_append);




	$.post("ajax_add_multi_ques.php",{

		//variables
		"send_query":send_query

		},function(data){

		//success
		alert(data);

		data = data.split(",");
		alert(data[0]);
		alert(data[1]);
		if(data[0]=='on'){
			alert("done;");
			$("#sub_ques_list").append(data[1]);	
			
		}

		$("#big-div-cont").hide();	
		$(".over_loading").hide();




});





});







//النقر على زر الغاء قائمة فرعية

$("#delete_sub_ques").click(function(){

if($current_sub_ques==''){alert("اختار السؤال الفرعى المراد الغاءه  ");exit();}
	
selection_num=$("select[name='sub_ques_list[]'] option:selected").length;
//alert("selection="+selection_num);


$(".over_loading").show();


if(selection_num==1){

	$.post("ajax_delete_ques.php",({"table":$(this).attr("table"),"id":$current_sub_ques,"type":"sub"}),
		function(data){
			$(".sub_ques[id='"+$current_sub_ques+"']").remove();
			alert(data);
			alert("تم الالغاء")	;
			$(".over_loading").hide();
			$current_sub_ques='';

		});




}else{
	
	
delete_ids='';
$("select[name='sub_ques_list[]'] option:selected").each(function(){
delete_ids+=','+$(this).attr("id");	
});
alert(delete_ids);
	
	
	
	
	$.post("ajax_delete_multi_ques.php",({"table":$(this).attr("table"),"ids":delete_ids,"type":"sub"}),
		function(data){
			
			if(data=='done'){
				//alert(data);
				//alert(delete_ids);
				ids_split = delete_ids.split(",");

				//alert(ids_split.length);
				for($x=1;$x<ids_split.length;$x++){
					//alert($x);
					//alert(ids_split[$x]);
				$(".sub_ques[id='"+ids_split[$x]+"']").remove();	
				}
				
			}
			
			
			alert("تم الالغاء")	;
			$(".over_loading").hide();
			$current_sub_ques='';

		});
		
	
	
}






});



//////////////////// ادخال الفورم   /////////////////////////////


//النقر على زر ادخال السؤال الرئيسى

$("#add_ques_main").live("click",function(){

//alert($("#title").val());
if($("#title").val()=='' ){
alert("لابد من ادخال السؤال");exit();	
}
if($("#dgree").val()=='' || $.isNumeric($("#dgree").val())== false ){
alert("ادخل رقم فى حقل الدرجة");exit();	
}
if($("#ques_type1_menu").val()==""){
alert("قم باختيار نوع السؤال");exit();	
}
if($("#ques_type2_div").css("display")!="none"){
if($("#ques_type2_menu").val()==""){
alert("قم باختيار نوع الاسئلة الفرعية");exit();	
}	
}

type='';
if($("#ques_type1_menu").val()=="1"){
type="1";	
}else if($("#ques_type1_menu").val()=="2"){
type=$("#ques_type1_menu").val()+$("#ques_type2_menu").val();	
}else if($("#ques_type1_menu").val()=="3"){
type="3";
}


$.post("ajax_add_ques.php",{

//variables
"table":$(this).attr("table"),
"title":$("#title").val(),
"sub":"0",
"type":type,
"exam_id":$("#add_main_ques").attr("lang"),
"answer":$("#answer").val(),
"dgree":$("#dgree").val(),
"images":$("#images").val(),
"info":$("#info").val()

},function(data){
	
//success
x="<option class='main_ques' ques_type='" + type + "' title='"+$("#title").val()+"' lang='"+type+"' id='"+parseInt(data)+"' code='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+$("#title").val()+"</option>";
$("#main_ques_list").append(x);	
alert(data);
$current_main_ques='';
$current_sub_ques='';


$("#big-div-cont").hide();	
$(".over_loading").hide();

});
});



//النقر على زر ادخال تعديل السؤال الرئيسى

$("#edit_ques_main").live("click",function(){


type='';
if($("#ques_type1_menu").val()=="2"){
type=$("#ques_type1_menu").val()+$("#ques_type2_menu").val();
//alert($("#ques_type2_menu").val());	
}else{
type=$("#ques_type1_menu").val();
}

if(type!=$("#menu_type").text()){
if (confirm("سيترتب على تعديل نوع السؤال الغاء جميع الاسئلة الفرعية وجميع اجابات الطلاب")){	

$.post("ajax_delete_ques.php",({"table":$(this).attr("table"),"id":$current_main_ques,"type":"main","edit_sub_ques":$("#add_main_ques").attr("lang")}),
function(data){
$("#sub_ques_list").html("");


$current_sub_ques='';
//alert("تم الالغاء")	;
//alert(data);

});

}else{
	
exit();
}
}
//alert(type);
$.post("ajax_edit_ques.php",{
	
	
//variables
"table":$(this).attr("table"),
"id":$current_main_ques,
"title":$("#title").val(),
"type":type,
"answer":$("#answer").val(),
"dgree":$("#dgree").val(),
"images":$("#images").val(),
"info":$("#info").val()


},function(data){

//success
//alert(type);
$(".main_ques[id='"+$current_main_ques+"']").text($("#title").val());
$(".main_ques[id='"+$current_main_ques+"']").attr("ques_type",type);
$(".main_ques[id='"+$current_main_ques+"']").attr("lang",type);



//alert(data);

$current_sub_ques='';

$("#big-div-cont").hide();	
$(".over_loading").hide();

});


});




//النقر على زر ادخال السؤال الفرعى

$("#add_ques_sub").live("click",function(){



//alert($("#title").val());
if($("#title").val()=='' ){
alert("لابد من ادخال السؤال");exit();	
}
if($("#dgree").val()=='' || $.isNumeric($("#dgree").val())== false ){
alert("ادخل رقم فى حقل الدرجة");exit();	
}
if($("#ques_type2_menu").val()==""){
alert("قم باختيار نوع السؤال");exit();	
}



answer='';
type=$("#ques_type2_menu").val();
if(type=="1"){
	
answer=$("#answer").val();

}else if(type=="2"){
	
	
answer='';
checked_radio2=$("input[name='radio2']:checked").index("input[name='radio2']");	
if(checked_radio2=="-1"){
alert("ادخل الاجابة الصحيحة");exit();	
}
answer=checked_radio2;



}else if(type=="3"){
answer='';	

radio1_length=$("input[name='radio1']").length;	
text1_length=$("input[name='text1']").length;	
checked_radio1=$("input[name='radio1']:checked").index("input[name='radio1']");	
//alert(text1_length);
//alert(radio1_length);	
	
if(radio1_length<=1){
alert("ادخل اجابتين على الاقل");exit();	
}
	
if(checked_radio1=="-1"){
alert("ادخل الاجابة المقترحة");exit();	
}
	
if(radio1_length==text1_length){
radio1_length-=1;	
for(i=0;i<=parseInt(radio1_length);i++){
	
answer+=$("input[name='text1']").eq(i).val();
if(checked_radio1==i){
answer+=",";
answer+=checked_radio1;
}
answer+="&";

//alert(answer);
}

	
}	


}else if(type=="4"){

answer='';		
text2_length=$("input[name='text2']").length;		
	
text2_length-=1;	
for(i=0;i<=parseInt(text2_length);i++){
	
answer+=$("input[name='text2']").eq(i).val();
answer+="&";

//alert(answer);
}
	
}





//alert(code);

//alert($("#answer .mq-root-block").html());
$.post("ajax_add_ques.php",{

//variables
"table":$(this).attr("table"),
"title":$("#title").val()+"####"+$("#answer .mq-root-block").html(),
"sub":$current_main_ques,
"code":$("option[id="+$current_main_ques+"]").attr("code"),
"type":type,
"exam_id":$("#add_main_ques").attr("lang"),
"answer":answer,
"dgree":$("#dgree").val(),
"bank":$(this).attr("bank"),
"images":$("#images").val(),
"info":$("#info").val()

},function(data){
	//alert($(this).attr("bank"));
//success
x="<option class='sub_ques' title='"+$("#title").val()+"' lang='"+type+"' id='"+parseInt(data)+"' code='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+$("#title").val()+"</option>";
$("#sub_ques_list").append(x);	
alert(data);
//$current_main_ques='';
//$current_sub_ques='';

$("#big-div-cont").hide();	
$(".over_loading").hide();

});
});





//النقر على زر تعديل السؤال الفرعى

$("#edit_ques_sub").live("click",function(){



//alert($("#title").val());
if($("#title").val()=='' ){
alert("لابد من ادخال السؤال");exit();	
}
if($("#dgree").val()=='' || $.isNumeric($("#dgree").val())== false ){
alert("ادخل رقم فى حقل الدرجة");exit();	
}
if($("#ques_type2_menu").val()==""){
alert("قم باختيار نوع السؤال");exit();	
}



answer='';
type=$("#ques_type2_menu").val();
if(type=="1"){
	
answer=$("#answer").val();

}else if(type=="2"){
	
	
answer='';
checked_radio2=$("input[name='radio2']:checked").index("input[name='radio2']");	
if(checked_radio2=="-1"){
alert("ادخل الاجابة الصحيحة");exit();	
}
answer=checked_radio2;



}else if(type=="3"){
answer='';	

radio1_length=$("input[name='radio1']").length;	
text1_length=$("input[name='text1']").length;	
checked_radio1=$("input[name='radio1']:checked").index("input[name='radio1']");	
//alert(text1_length);
//alert(radio1_length);	
	
if(radio1_length<=1){
alert("ادخل اجابتين على الاقل");exit();	
}
	
if(checked_radio1=="-1"){
alert("ادخل الاجابة المقترحة");exit();	
}
	
if(radio1_length==text1_length){
radio1_length-=1;	
for(i=0;i<=parseInt(radio1_length);i++){
	
answer+=$("input[name='text1']").eq(i).val();
if(checked_radio1==i){
answer+=",";
answer+=checked_radio1;
}
answer+="&";

//alert(answer);
}

	
}	


}else if(type=="4"){

answer='';		
text2_length=$("input[name='text2']").length;		
	
text2_length-=1;	
for(i=0;i<=parseInt(text2_length);i++){
	
answer+=$("input[name='text2']").eq(i).val();
answer+="&";

//alert(answer);
}
	
}





//alert(code);
//alert($("#answer .mq-root-block").html());
//alert($(this).attr("table"));
$.post("ajax_edit_ques.php",{
"table":$(this).attr("table"),
"id":$current_sub_ques,
"title":$("#title").val()+"####"+$("#answer .mq-root-block").html(),
"type":type,
"answer":answer,
"dgree":$("#dgree").val(),
"images":$("#images").val(),
"info":$("#info").val()
},function(data){
	
//success
$(".sub_ques[id='"+$current_sub_ques+"']").text($("#title").val());

//alert(data);
//$current_main_ques='';
//$current_sub_ques='';

$("#big-div-cont").hide();	
$(".over_loading").hide();


});
});




//تعديل اسئلة البنك


$("#edit_ques_bank_sub").live("click",function(){



alert($("#title").val());
if($("#title").val()=='' ){
alert("لابد من ادخال السؤال");exit();	
}

if($("#ques_type2_menu").val()==""){
alert("قم باختيار نوع السؤال");exit();	
}



answer='';
type=$("#ques_type2_menu").val();
if(type=="1"){
	
answer=$("#answer").val();

}else if(type=="2"){
	
	
answer='';
checked_radio2=$("input[name='radio2']:checked").index("input[name='radio2']");	
if(checked_radio2=="-1"){
alert("ادخل الاجابة الصحيحة");exit();	
}
answer=checked_radio2;



}else if(type=="3"){
answer='';	

radio1_length=$("input[name='radio1']").length;	
text1_length=$("input[name='text1']").length;	
checked_radio1=$("input[name='radio1']:checked").index("input[name='radio1']");	
//alert(text1_length);
//alert(radio1_length);	
	
if(radio1_length<=1){
alert("ادخل اجابتين على الاقل");exit();	
}
	
if(checked_radio1=="-1"){
alert("ادخل الاجابة المقترحة");exit();	
}
	
if(radio1_length==text1_length){
radio1_length-=1;	
for(i=0;i<=parseInt(radio1_length);i++){
	
answer+=$("input[name='text1']").eq(i).val();
if(checked_radio1==i){
answer+=",";
answer+=checked_radio1;
}
answer+="&";

//alert(answer);
}

	
}	


}else if(type=="4"){

answer='';		
text2_length=$("input[name='text2']").length;		
	
text2_length-=1;	
for(i=0;i<=parseInt(text2_length);i++){
	
answer+=$("input[name='text2']").eq(i).val();
answer+="&";

//alert(answer);
}
	
}





//alert(code);
//alert($("#answer .mq-root-block").html());

$.post("ajax_edit_ques_bank.php",{
"table":"ques_bank",
"id":$(this).attr("ques_id"),
"title":$("#title").val()+"####"+$("#answer .mq-root-block").html(),
"type":type,
"answer":answer,
"staff":$("#staff_id option:selected" ).val(),
"stage":$("#stage_id option:selected" ).val(),
"lang":$("#lang_id option:selected" ).val(),
"row":$("#year option:selected" ).val(),

"images":$("#images").val(),
"info":$("#info").val()
},function(data){
	
//success
//alert(data);
alert('تم التعديل');
location.reload();


});
});






////////////اضافة اجابات اضافية////////
$("#multi_choice_add_items").live("click",function(){

$x='<div class="multi_choice_item">'+
'<div class="multi_choice_item_right"><input name="radio1" type="radio" /></div>	'+
'<div class="multi_choice_item_middle"><input name="text1" type="text" style="width:70px;" value="" /></div>'+
'<div class="multi_choice_item_left image_del" ></div>'+	
'</div>	';

$("#multi_choice_right").append($x);	

});


$("#complete_add_items").live("click",function(){

$x='<div class="complete_item">'+
'<div class="complete_item_right"><input name="text2" type="text" style="width:90px;" value="" /></div>'+
'<div class="complete_item_left image_del" ></div>'+	
'</div>	';

$("#complete_right").append($x);	

});








//-----------------------------bank------------------------------------//

$("#add_bank_ques").live("click",function(){


if($("#staff_id").val()==""){
alert("قم باختيار المادة");exit();	
}

if($("#stage").val()==""){
alert("قم باختيار المرحلة الدراسية");exit();	
}

if($("#row").val()==""){
alert("قم باختيار الصف الدراسى");exit();	
}

if($("#lang").val()==""){
alert("قم باختيار لغة السؤال");exit();	
}

//alert($("#title").val());
if($("#title").val()=='' ){
alert("لابد من ادخال السؤال");exit();	
}

if($("#ques_type2_menu").val()==""){
alert("قم باختيار نوع السؤال");exit();	
}



answer='';
type=$("#ques_type2_menu").val();

alert("type="+type);
if(type=="1"){
	
answer=$("#answer").val();

}else if(type=="2"){
	
	
answer='';
checked_radio2=$("input[name='radio2']:checked").index("input[name='radio2']");	
if(checked_radio2=="-1"){
alert("ادخل الاجابة الصحيحة");exit();	
}
answer=checked_radio2;



}else if(type=="3"){
answer='';	

radio1_length=$("input[name='radio1']").length;	
text1_length=$("input[name='text1']").length;	
checked_radio1=$("input[name='radio1']:checked").index("input[name='radio1']");	
//alert(text1_length);
//alert(radio1_length);	
	
if(radio1_length<=1){
alert("ادخل اجابتين على الاقل");exit();	
}
	
if(checked_radio1=="-1"){
alert("ادخل الاجابة المقترحة");exit();	
}
	
if(radio1_length==text1_length){
radio1_length-=1;	
for(i=0;i<=parseInt(radio1_length);i++){
	
answer+=$("input[name='text1']").eq(i).val();
if(checked_radio1==i){
answer+=",";
answer+=checked_radio1;
}
answer+="&";

//alert(answer);
}

	
}	


}else if(type=="4"){

answer='';		
text2_length=$("input[name='text2']").length;		
	
text2_length-=1;	
for(i=0;i<=parseInt(text2_length);i++){
	
answer+=$("input[name='text2']").eq(i).val();
answer+="&";

//alert(answer);
}
	
}





//alert(code);

//alert($("#answer .mq-root-block").html());
$.post("ajax_add_ques_bank.php",{

//variables
"table":'ques_bank',
"title":$("#title").val()+"####"+$("#answer .mq-root-block").html(),
"stage":$("#stage").val(),
"row":$("#row").val(),
"staff":$("#staff_id").val(),
"type":type,
"answer":answer,
"lang":$("#lang").val(),
"images":$("#images").val(),
"info":$("#info").val()

},function(data){
	
//success
x="<option class='sub_ques' title='"+$("#title").val()+"' lang='"+type+"' id='"+parseInt(data)+"' code='"+parseInt(data)+"' sort='"+parseInt(data)+"'>"+$("#title").val()+"</option>";
$("#sub_ques_list").append(x);	
alert(data);
if(data=='done'){
	alert("تم اضافة السؤال بنجاح");
	
	$("#title").val("");
	$("#ques_type2_menu").val("");
	$("#info").val("");
	$("#images").val("");
	$(".ajax-file-upload-container").html("");
	
	$("#multi_choice_right").html("");
	$("#complete_right").html("");
	$("#multi_choice_right").html("");
	$("#answer").val("");
	
	$("#correct_answer").hide();
	$("#multi_choice_div").hide();
	$("#true_div").hide();
	$("#complete").hide();
	
	
}else{
	alert("لم يتم اضافة السؤال");
}



//$current_main_ques='';
//$current_sub_ques='';

$("#big-div-cont").hide();	
$(".over_loading").hide();

});
});





		
	
});	